Package org.jboss.resteasy.plugins.providers

## Class StreamingOutputProvider

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.StreamingOutputProvider

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.StreamingOutput>`

      @Provider
      @Produces("*/*")
      public class StreamingOutputProvider
      extends Object
      implements javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.StreamingOutput>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamingOutputProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSize​(javax.ws.rs.core.StreamingOutput streamingOutput, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `boolean` | `isWriteable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `void` | `writeTo​(javax.ws.rs.core.StreamingOutput streamingOutput, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders, OutputStream entityStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingOutputProvider

          public StreamingOutputProvider()

  - ### Method Detail

    - #### isWriteable

          public boolean isWriteable​(Class<?> type,
                                     Type genericType,
                                     Annotation[] annotations,
                                     javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.StreamingOutput>`

    - #### getSize

          public long getSize​(javax.ws.rs.core.StreamingOutput streamingOutput,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.StreamingOutput>`

    - #### writeTo

          public void writeTo​(javax.ws.rs.core.StreamingOutput streamingOutput,
                              Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType,
                              javax.ws.rs.core.MultivaluedMap<String,​Object> httpHeaders,
                              OutputStream entityStream)
                       throws IOException

      Specified by:
        `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<javax.ws.rs.core.StreamingOutput>`
      Throws:
        `IOException`